/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2011-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.ow2.jonas.admin.webservicesconsole.model {
import com.adobe.cairngorm.model.IModelLocator;

import mx.collections.ArrayCollection;
import org.ow2.jonas.admin.webservicesconsole.business.WebServicesConsoleDelegate;

/**
 * Model of the Web Service console.
 * @author Guillaume Renault
 */
[Bindable]
public class WebServicesConsoleModel implements IModelLocator {

    public var soapRequestSkeleton:String = null;

    public var soapResponse:String = null;

    [ArrayElementType("String")]
    public var operations:ArrayCollection = null;

    /**
     * Admin service delegate.
     */
    private var m_WebservicesConsoleDelegate:WebServicesConsoleDelegate = null;

    /**
     * Constructor.
     */
    public function WebServicesConsoleModel() {
        super();
    }


    //-------------------------------------------------------------------------
    //  Delegate Getter
    //-------------------------------------------------------------------------

    public function getDelegate():WebServicesConsoleDelegate {
        if (null == this.m_WebservicesConsoleDelegate) {
            this.m_WebservicesConsoleDelegate = new WebServicesConsoleDelegate();
        }
        return this.m_WebservicesConsoleDelegate;
    }

}
}